Subject: Sawmill Days
From: [email-masked] (A B S B)
To: [email-masked]
Date: Tue, 17 Aug 2004 19:00:57 -0400

Hi Patricia,                                               We will
arrive Saturday morning instead of Friday afternoon,  will need electric
power only in music area.   Our equipment is needed for the Friday night
concert at log cabin park.  (we are disappointed in not being able to
come on Friday as planned.....   maybe next year).     Patty,  if you
get a chance please let me know if this message made it to you.   Thank
you.          Will see you Saturday         Arlen

====================================Home Base Of The Eastern Michigan
Music Makers...Our Goal>>>Keeping The Good Old Songs Alive